Subject: RE: [Megaco] Difference in RFC and grammar

From: "Rosen, Brian" <[email-masked]>
Date: Thu, 23 Aug 2001 09:49:06 -0400

The grammar probably allows a great many illegal
statements.  In this case, the text prevails.

Brian

> -----Original Message-----
> From: Prasad Nayak [mailto:[email-masked]]
> Sent: Thursday, August 23, 2001 6:25 AM
> To: [email-masked]'
> Subject: [Megaco] Difference in RFC and grammar
> 
> 
> Hi, 
>    In section 7.2.6 of RFC 3015, the definition of 
> AuditCapabilities command
> say that "DigitMap and Packages are not legal in AuditCapability".
> 
>  But in ASN and ABNF grammar (Annex A and Annex B) the 
> auditReturnParameter
> is common to both AuditValue and AuditCapability.  The 
> auditReturnParameter
> contains DigitMap and Packages. 
> 
> This implies that DigiMap and Packages can be part of 
> AuditCapabilities
> command.
> 
> Pls can anyone help in solving this difference in RFC and grammar.
> 
> Thanks,
> Prasad
> 
> NetBrahma Technologies
> Internext Networking Software
> Email : [email-masked]
> URL : www.netbrahma.com
> Tel : +91 80 5521451
> 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/megaco
> 

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco

---

From: "Madhu Babu Brahmanapally" <[email-masked]>
Date: Thu, 23 Aug 2001 10:13:03 -0400

Hi Brian,All,
Isn't this worth mentioning in the protocol as similar query was posted
earlier also.

Regards.
Madhubabu

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Rosen, Brian
Sent: Thursday, August 23, 2001 9:49 AM
To: 'Prasad Nayak'; [email-masked]'
Subject: RE: [Megaco] Difference in RFC and grammar

Brian

---

From: Terry L Anderson <[email-masked]>
Date: Thu, 23 Aug 2001 11:33:42 -0400

As Brian suggested, the grammar was not designed to enforce a number of
restrictions that are stated in the text.  Doing so would have made the
grammar much more complex.  Some of these additional restrictions are
stated as comments in the grammars but many are not.  The "protocol" is
certainly not just the grammar, but the grammar + text.  I don't think we
should attempt to restate all the protocol rules as comments in the
grammar, but I am not sure I see a clean rule for when we comment and when
we don't.
Note that the restriction IS stated for the AuditCapabilities command
(above the list in auditItem) just not for the reply.

--
Waiting for the other shoe to drop but hoping its a one legged man.
------------------------------------------------------------
Terry L Anderson              mailto:[email-masked]
Tel:908.582.7013   Fax:908.582.6729
Lucent Technologies/INS/Voice Over IP Access Networks
Rm 2B-121, 600 Mountain Av, Murray Hill, NJ 07974
http://its.lucent.com/~tla (Lucent internal) http://www.gti.net/tla

---

From: "Madhu Babu Brahmanapally" <[email-masked]>
Date: Thu, 23 Aug 2001 12:11:12 -0400

Agreed, it can't be mentioned for each such case. But a generic statement
can be included at the start of Annex A and B, stating that " The grammar
allows many possible combination of descriptors/properties.  The protocol
text defines the valid descriptors/parameters for each command. In case of
ambiguity between the grammar and protocol text, the protocol text
prevails." Might be the intention is implicit, but making this explicit
helps.

Regards
Madhubabu

---

From: Christian Groves <[email-masked]>
Date: Fri, 24 Aug 2001 11:17:09 +1000

G'Day,

Yes I agree with Brian and Terry. A protocol is alot more than just the
grammar.

Christian